#ifndef _FD_ACTION_
#define _FD_ACTION_

typedef struct Action Action;
typedef struct Actions Actions;

#include "game.h"
#include "word.h"
#include "predicate.h"
#include "effect.h"

struct Action {
  Word *words[4];
  int words_count;
  Predicate *predicates[10];
  int predicates_count;
  int priority;
  char *description;
  Effect *effects[10];
  int effects_count;
};

struct Actions {
  Action actions[1000];
  int count;
};

void game_load_actions(Game *g);
Action *find_action(Game *g, const char *command);

#endif
